using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Dvb.Descriptors
{
	[SkyscraperPlugin]
	[TsDescriptor(0x68,"TSDT")]
    [BannedTable("EIT")]
    class DsngDescriptor : TsDescriptor
    {
        public DsngDescriptor(byte[] buffer)
        {
            StationIdentification = Encoding.ASCII.GetString(buffer);
        }

        public string StationIdentification { get; private set; }
    }
}
